/***************************************************************************
                          controller.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONTROLLER_H
#define CONTROLLER_H


/**
  *@author funthing (Matthias Zisler)
  */
class Player;

class Controller
{
public: 
	Controller(Player* player);
	~Controller();

	bool is_left();
	bool is_right();
	bool is_up();
	bool is_down();
	bool is_digleft();
	bool is_digright();
	bool is_pickup();
	bool is_use();
	bool is_bomb();
	bool is_suicide();

	bool is_locked();
	void set_locked(bool lock);

private:
	int offset;
	bool pickup, locked;
};

#endif
