/***************************************************************************
                          tool_gold.cpp  -  description
                             -------------------
    begin                : Mon Mar 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tool_gold.h"
#include "gameobject.h"

Tool_gold::Tool_gold(int _x, int _y, int _t, Map_Sample* _sample) : Tool(_x, _y, _sample)
{
	useable=false;
	collectable=true;
	tt=TGOLD;

	switch(_t)
	{
	case 0:
		spr=63;
	break;
	case 1:
		spr=64;
	break;
	case 2:
		spr=65;
	break;
	default:
		spr=63;
	break;
	}

	g=_t;
}
Tool_gold::~Tool_gold()
{
}
void Tool_gold::show()
{
	sur->put_screen(x, y, spr);
}
int Tool_gold::get_g()
{
	return g;
}