/***************************************************************************
                          explosion.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPLOSION_H
#define EXPLOSION_H

#include "effects.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Timer;

class Explosion : public Effects
{
public: 
	Explosion(int _x, int _y, bool _big, Map_Sample* _sample);
	~Explosion();

	void act();
	void show();



private:

	static	int xs[13];
	static	int ys[13];

	bool big, once;
	Timer* timer;

};

#endif
