/***************************************************************************
                          maptile_water.cpp  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "maptile_water.h"
#include "sprite.h"
#include "map.h"
#include "game.h"
#include "map_sample.h"
#include "gameobject.h"
#include "resources.h"

Maptile_water::Maptile_water(int _x, int _y, WorldType _wt, Map* _map) : Maptile(_x, _y, _wt, _map)
{
blocking=true;
fallt=false;
mt=WATER;
sprite=new Sprite(sur, 0.2f, 72, 75);
p=false;
}
Maptile_water::~Maptile_water()
{
}
void Maptile_water::show()
{
 sprite->put_screen(x, y);
 if(spr!=-1)
 sur->put_screen(x, y, spr);
}
void Maptile_water::act()
{
  if(map->get_up(this)->get_type()!=WATER)
  {
    if(map->game->sample->get_map_gameobject(x, y)->get_type()!=DUMMYG)
    {
      if(!p)
      PLAY(Resources::Fallwater());
      p=true;
    }
    else
    p=false;
  }
}
void Maptile_water::fit()
{
 if(map->get_down(this)->get_type()==WATER)
 {
  if(map->get_left(this)->get_type()==WATER && map->get_right(this)->get_type()==WATER)
  spr=-1;
	else if(map->get_right(this)->get_type()==WATER)
	spr=69;
	else if(map->get_left(this)->get_type()==WATER)
  spr=70;
	else
	spr=68;
 }
 else
 {
  if(map->get_left(this)->get_type()==WATER && map->get_right(this)->get_type()==WATER)
  spr=66;
	else if(map->get_right(this)->get_type()==WATER)
	spr=65;
	else if(map->get_left(this)->get_type()==WATER)
  spr=67;
	else
	spr=64;
 }

if(map->get_up(this)->get_type()==WATER)
sprite->set_new(75, 78);
else
sprite->set_new(72, 75);
}